import React from "react";
import { HandleBlurFunc, HandleChangeFunc, ID_FieldName, INDEX_FieldName } from "react-immutable-form/types";
import { SimpleInputProps } from "./SimpleInput";
type handleNumericBlurFunc = () => any;
type handleNumericChangeFunc = () => any;
export type InputTemplatePropTypes = SimpleInputProps & {
    readonly customOnBlur?: (event: React.FocusEvent<HTMLInputElement, Element>, handleNumericBlur: handleNumericBlurFunc, handleBlur: HandleBlurFunc, idFileName: ID_FieldName, indexFileName: INDEX_FieldName) => any;
    readonly customOnChange?: (event: React.ChangeEvent<HTMLInputElement>, handleNumericChange: handleNumericChangeFunc, handleChange: HandleChangeFunc, idFileName: ID_FieldName, indexFileName: INDEX_FieldName) => any;
};
export type formatValueFunc = (raw: any, optional?: boolean) => string;
export declare const RawNumericInput: React.MemoExoticComponent<(props: InputTemplatePropTypes) => JSX.Element>;
export {};
